# Puppet Metrics Dashboard Module

## Overview
This module manages a metrics dashboard intended to consume metrics produced by Puppet Enterprise. The frontend UI is powered by Grafana served by Nginx, and data is stored in InfluxDB.

## Server Setup

```puppet
include pe_metrics::profile::server
```

## Sender Setup
### System Metrics
This module provides a collectd configuration to harvest system memory, and socket metrics.

```puppet
include pe_metrics::sender
```

### Puppetserver Metrics
In the PE Console, locate the puppet_enterprise::profile::master class on the PE Master node group.  To enable the Graphite metrics sender, set the param metrics_graphite_enabled to true.  If the metrics node is not resolvable by the hostname "graphite", you should also set metrics_graphite_host appropriately.
