class pe_metrics::server::frontend (
  $influxdb_url = 'http://127.0.0.1:9000',
  $grafana_port = 80,
  $database     = 'performance',
){

  class { 'grafana':
    install_dir   => '/opt',
    datasources   => {
      'influxdb'  => {
        type      => 'influxdb',
        url       => "/db/${database}",
        username  => "root",
        password  => "root",
        'default' => 'true'
      }
    }
  }

  include nginx

  nginx::resource::vhost { 'grafana':
    www_root    => '/opt/grafana',
    listen_port => $grafana_port,
    require     => Class['grafana'],
  }

  nginx::resource::location { '/db':
    vhost => 'grafana',
    proxy => $influxdb_url,
  }

}
